%global momorel 1
%global patch 2

Summary:	Video Acceleration (VA) API for Linux
Name:		libva
Version:        0.32.0
Release: 	%{momorel}m%{?dist}
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.splitted-desktop.com/~gbeauchesne/libva/
Source0: 	http://www.splitted-desktop.com/~gbeauchesne/libva/%{name}_%{version}-1+sds%{patch}.tar.gz 
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       mesa-libGL, libdrm
BuildRequires:	mesa-libGL-devel, libdrm-devel

%description
Video Acceleration (VA) API for Linux

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q 

autoreconf -ivf

%build

for p in debian/patches/*.patch; do patch -p1 < $p; done

# broke sources... Temporary fix
pushd va/android/
rm -f va_dummy.c
ln -s va_android.cpp va_dummy.c
popd

%configure \
	--enable-dummy-backend \
	--enable-dummy-driver \
	--enable-glx --enable-i965-driver
%make

%install
make DESTDIR=%{buildroot} install

find %{buildroot}/* -name "*.la" -exec rm -rf {} \;

# remove test program
rm -rf %{buildroot}/%{_bindir}/test*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/vainfo
%{_libdir}/libva*.so.*
%{_libdir}/va/drivers/dummy_drv_video.so
%{_libdir}/va/drivers/i965_drv_video.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc

%changelog
* Sun Apr  3 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.32.0-1m)
- update 0.32.0

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.31.1-5m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.31.1-4m)
- full rebuild for mo7 release

* Tue Aug  3 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.31.1-3m)
- update 0.31.1-patch4

* Mon Jul  4 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.31.1-2m)
- build with "--enable-glx --enable-i965-driver" to fix build

* Mon Jul  4 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.31.1-1m)
- update 0.31.1-patch2

* Tue May  4 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.31.0-3m)
- update 0.31.0-patch13

* Wed Apr 21 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.31.0-2m)
- update 0.31.0-patch12

* Tue Mar 16 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.31.0-1m)
- Initial commit Momonga Linux
